import { useState, useEffect } from 'react';
import { getCurrentRound } from "../domain/apiMethods";
import { useGameId, usePlayerId, dispatch } from '../domain/gameStore';

export default () => {
  const gameId = useGameId();
  const playerId = usePlayerId();
  const [finished, setFinished] = useState(false);
  const [roundInfo, setRoundInfo] = useState({currentRound: null, targetPoint: null});

  useEffect(() => {
    const setup = async () => {
      const { currentRound, coord, timer } = await getCurrentRound(gameId, playerId);
      if (currentRound) {
        dispatch.setRoundSeconds(timer);
        setRoundInfo({ currentRound, targetPoint: coord });
      } else {
        setFinished(true);
      }
    }
    setup();
  }, [gameId, playerId]);

  return [finished, roundInfo];
}